package com.dsk.cscec.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author sxk
 * @date 2023.12.11
 * @time 14:01
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ProjectSearchVo {
    /**
     * 合同主键
     */
    private String contractKey;
    ///**
    // * 项目主键
    // */
    //private Long projectKey;
    ///**
    // * 项目ID
    // */
    //private String projectId;
    /**
     * 项目名称
     */
    private String projectName;
    ///**
    // * 项目编码
    // */
    //private String projectCode;
    ///**
    // * 省市
    // */
    //private String provinceName;
    ///**
    // * 项目承接类型
    // */
    //private String isinvestproject;
    ///**
    // * 工程基础大类
    // */
    //private String projectType1;
    ///**
    // * 工程类别明细
    // */
    //private String projectType2;
    ///**
    // * 项目与咨询机构关系
    // */
    //private AdvisoryBodyProject advisoryBodyProject;
    ///**
    // * 合同金额
    // */
    //private BigDecimal contractOrigValue;
    ///**
    // * 业主单位Cid
    // */
    //private Long ownerUnitCid;
    /**
     * 业主单位
     */
    private String ownerName;
    ///**
    // * 项目承接单位
    // */
    //private String contractOrgName;
    ///**
    // * 咨询机构(咨询机构表)
    // */
    //private AdvisoryBody advisoryBody;
    /**
     * 创建时间(合同生效日期)
     */
    private Date contractSignDate;
    /**
     * 项目经理及联系方式
     */
    private String projectManagerAndPhone;
    /**
     * 商务经理及联系方式
     */
    private String businessManagerAndPhone;
    /**
     * 招标代理单位
     */
    private String bidAgencyUnit;
    /**
     * 一审单位
     */
    private String firstAuditUnit;
    /**
     * 二审单位
     */
    private String secondAuditUnit;
    /**
     * 三审单位
     */
    private String thirdAuditUnit;

    /**
     * 业主单位企业id
     */
    private Integer ownerUnitCid;
}
